Bug 185263 - Busybox (Anaconda) CONFIG option job control is off for ash
Busybox (Anaconda) CONFIG option job control is off for ash
Product: Fedora
Classification: Fedora
Component: kadischi (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Depends On:
  Show dependency treegraph
Reported: 2006-03-12 17:39 EST by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-18 08:15:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-03-12 17:39:12 EST
Description of problem:
Using Kadischi to generate LiveCD media, the produced image halts
as soon as busybox.anaconda is invoked as ash. The message is:
/bin/sh: canot access tty: job control turned off
which halts the linuxrc script in it's tracks.

Kadischi's livecd-mkinitrd.sh script uses busybox.anaconda.

Version-Release number of selected component (if applicable):

How reproducible:
Build a LiveCD with Kadischi.

Steps to Reproduce:
1. Build a LiveCD with Kadischi.
Actual results:
Halted LiveCD bootstrap.

Expected results:
linuxrc is executed and follows through the process.

Additional info:
No additional information at this time.
Comment 1 Jasper O. Hartline 2006-03-13 11:06:20 EST
It seems to not behave this way if no init nor root is specified to the kernel.
Very odd indeed.
Comment 2 Jasper O. Hartline 2006-03-18 04:10:43 EST
Obviously this isn't an issue with either Kadischi nor Busybox.
This was encountered after some hours wrestling with problems under Qemu.
Once changes to options and such things were reverted back to how things are
supposed to work, they did. 
Comment 3 Chitlesh GOORAH 2006-03-18 08:15:15 EST
Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.